> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Elencare fatture

> Elenca fatture di fatturazione

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.it.json GET /v1/public/accounts/{account_id}/billing/invoices
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/billing/invoices:
    get:
      tags:
        - public-accounts
        - public-billing
      summary: Elenca fatture di fatturazione
      description: Elenca le fatture dell'account usando il DTO cliente condiviso.
      operationId: >-
        list_public_billing_invoices_v1_public_accounts__account_id__billing_invoices_get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: query
          name: page
          required: false
          schema:
            default: 1
            title: Page
            type: integer
        - in: query
          name: page_size
          required: false
          schema:
            default: 25
            title: Page Size
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvoiceListResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Errore di validazione
      security:
        - PublicBearerAuth: []
components:
  schemas:
    InvoiceListResponse:
      properties:
        items:
          description: Fatture in questa pagina
          items:
            $ref: '#/components/schemas/InvoiceResponse'
          title: Elementi
          type: array
        page:
          description: Numero di pagina corrente in base uno
          title: Pagina
          type: integer
        page_size:
          description: Numero massimo di articoli per pagina
          title: Dimensione pagina
          type: integer
        total:
          description: Fatture corrispondenti totali
          title: Totale
          type: integer
      required:
        - items
        - page
        - page_size
        - total
      title: InvoiceListResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Dettaglio
          type: array
      title: HTTPValidationError
      type: object
    InvoiceResponse:
      description: Risposta fattura rivolta al cliente.
      properties:
        amount:
          description: Importo della fattura
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Importo
          type: string
        currency:
          description: Codice valuta fattura
          title: Valuta
          type: string
        date:
          description: Data della fattura
          format: date
          title: Data
          type: string
        download_url:
          anyOf:
            - type: string
            - type: 'null'
          description: URL di download della fattura PDF
          title: URL download
        id:
          description: Fattura UUID
          format: uuid
          title: ID
          type: string
        status:
          description: Stato della fattura
          title: Stato
          type: string
      required:
        - id
        - date
        - amount
        - currency
        - status
        - download_url
      title: InvoiceResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Posizione
          type: array
        msg:
          title: Messaggio
          type: string
        type:
          title: Tipo errore
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````